<div [class]="treeItem?.HasChildren === false ? 'treeview-treeitem treeview-block treeview-node' : 'treeview-treeitem treeview-block'"
  [style]="'background: url(' + lineIconPath + ') no-repeat -3px 3px;'">
  <div class="treeview-block treeview-padding">
    <span *ngIf="treeItem?.HasChildren === true && treeItem?.Collapsed === true">
      <img [src]="plusIconPath" (click)="toggleNode(treeItem)" class="treeview-icon treeview-pointer" />
      <img [src]="folderIconPath" (click)="toggleNode(treeItem)" class="treeview-pointer" />
    </span>
    <span *ngIf="treeItem?.HasChildren === true && treeItem?.Collapsed === false">
      <img [src]="minusIconPath" (click)="toggleNode(treeItem)" class="treeview-icon treeview-pointer" />
      <img [src]="openFolderIconPath" (click)="toggleNode(treeItem)" class="treeview-pointer" />
    </span>
    <span *ngIf="treeItem?.HasChildren === false">
      <img [src]="nodeIconPath" />
    </span>
    <span class="treeview-treeitem-title">{{treeItem?.Title}}</span>
  </div>
  <div *ngIf="treeItem?.HasChildren === true" [hidden]="treeItem?.Collapsed" class="treeview-block treeview-margin">
    <sixty-stone-tree-item [tree-item]="child" *ngFor="let child of treeItem.Children"></sixty-stone-tree-item>
  </div>
</div>
